Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class QueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.QueryException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  QueryExecutionRequestException, QueryParameterException, QuerySyntaxException

    public class QueryException

extends HibernateException

A problem occurred translating a Hibernate query to SQL due to invalid query syntax, etc.

See Also:
  Serialized Form

Constructor Summary
`QueryException(Exception e)`
`QueryException(String message)`
`QueryException(String message, String queryString)`
`QueryException(String message, Throwable e)`

Method Summary
`String` | `getMessage()`
`String` | `getQueryString()`
`void` | `setQueryString(String queryString)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryException

    public QueryException(String message)

### QueryException

    public QueryException(String message,
                          Throwable e)

### QueryException

    public QueryException(String message,
                          String queryString)

### QueryException

    public QueryException(Exception e)

Method Detail

### getQueryString

    public String getQueryString()

### setQueryString

    public void setQueryString(String queryString)

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.